> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get network message types

> Return message types and their transaction counts for a network.



## OpenAPI

````yaml api-reference/data-api.json get /v1/network/msg-types
openapi: 3.0.0
info:
  title: Range Data API
  description: >-
    The Range Data API for crypto addresses, networks, transactions, and
    entities.
  version: 1.7.37
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Entity Information
    description: Get information about entities.
  - name: Network Information
    description: Get information about networks.
  - name: Protocols
    description: Get information about cross-chain protocols.
  - name: Token transfers
    description: Get information about token transfers.
  - name: Cross-chain transfers
    description: >-
      Look up cross-chain transfers using either the source or destination
      transaction hash, and explore coverage by protocol and network.
paths:
  /v1/network/msg-types:
    get:
      tags:
        - Network Information
      summary: Get msg types in a network
      description: >-
        Returns a list of msg types associated with the transactions of a
        network.
      operationId: getMsgTypes
      parameters:
        - name: network
          required: true
          in: query
          description: Network of MsgType
          schema:
            type: string
            example: ethereum
      responses:
        '200':
          description: Msg types associated with the transactions of a network.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MsgTypesInfo'
components:
  schemas:
    MsgTypesInfo:
      type: object
      properties:
        total:
          type: number
        msg_types:
          type: array
          items:
            $ref: '#/components/schemas/MsgType'
      required:
        - total
        - msg_types
    MsgType:
      type: object
      properties:
        type:
          type: string
        count:
          type: number
      required:
        - type
        - count
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.